Get all offramp transactions
curl --request GET \
--url https://api.developer.coinbase.com/onramp/v1/sell/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.developer.coinbase.com/onramp/v1/sell/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.developer.coinbase.com/onramp/v1/sell/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_page_key": "<string>",
"transactions": [
{
"asset": "<string>",
"coinbase_fee": {
"currency": "<string>",
"value": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"exchange_rate": {
"currency": "<string>",
"value": "<string>"
},
"from_address": "<string>",
"minimum_total": {
"currency": "<string>",
"value": "<string>"
},
"network": "<string>",
"redirect_url": "<string>",
"sell_amount": {
"currency": "<string>",
"value": "<string>"
},
"subtotal": {
"currency": "<string>",
"value": "<string>"
},
"to_address": "<string>",
"total": {
"currency": "<string>",
"value": "<string>"
},
"transaction_id": "<string>",
"tx_hash": "<string>",
"unit_price": {
"currency": "<string>",
"value": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Onramp/Offramp
Get all offramp transactions
Returns all offramp transactions created by your app in the provided time period.
GET
/
v1
/
sell
/
transactions
Get all offramp transactions
Authorizations
Enter your JSON Web Token (JWT) here. Refer to the Generate JWT section of our Authentication docs for information on how to generate your Bearer Token.
Query Parameters
Date of the oldest transaction to return e.g. 2025-01-02, 2025-01-02T15:04:05Z, 2025-01-02T15:04:05+07:00
Date of the newest transaction to return e.g. 2025-01-03, 2025-01-02T15:04:05Z, 2025-01-02T15:04:05+07:00
Page key returned by this API for pagination
The number of transactions to return, between 1 and 1000
Was this page helpful?
⌘I